**IMPORTANT: Please do not create a Pull Request without creating an issue first.**

Please, go through these steps before you submit a PR:
1. Make sure that your PR is not a duplicate.
2. If not, then make sure that:

    a. You have done your changes in a separate branch. Branches MUST have descriptive names that start with either the `fix/` or `feature/` prefixes. Good examples are: `fix/signin-issue` or `feature/issue-templates`.

    b. You have a descriptive commit message with a short title (first line).

    c. You have only one commit (if not, squash them into one commit).

    d. Commit message follows [convention](../CONTRIBUTING.md#commit-message). Good example is: `Docs: fixes typo in 'rejection' word`.

    e. `npm test` doesn't throw any error. If it does, fix them first and amend your commit (`git commit --amend`).

3. **After** these steps, you're ready to open a pull request.
   
    a. Give a descriptive title to your PR.

    b. Describe your changes.

    c. Put `closes #XXXX` in your comment to auto-close the issue that your PR fixes.


*Any change needs to be discussed before proceeding. Failure to do so may result in the rejection of the pull request.*


**IMPORTANT**: Please review the [CONTRIBUTING](../#contribute) section for detailed contributing guidelines.

**PLEASE REMOVE THESE NOTES BEFORE SUBMITTING**


**Fixes** #XX

Please provide enough information so that others can review your pull request:

<!-- You can skip this if you're fixing a typo -->


Explain the **details** for making this change. What existing problem does the pull request solve?

<!-- Example: When "Adding a function to do X", explain why it is necessary to have a way to do X. -->

A picture tells a thousand words:
<!-- Provide a screenshot of npm test command here-->
